pkgtools/pkglint - The NetBSD Packages Collection

Verifier for NetBSD packages

pkglint checks whether a pkgsrc package conforms to the various
conventions established over the years. It produces warnings, errors and
notes and, upon request, explains them.

Before importing a new package or making changes to an existing package,
pkglint should be run in the package's directory to check for common
errors.

This is the current version of pkglint.  Because it is written in go,
it does not run on all pkgsrc platforms; see also pkglint4.

Build dependencies

lang/go116 devel/go-check security/go-crypto devel/go-sys pkgtools/cwrappers

Runtime dependencies

(none)

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfpkglint-20.4.0.tgz
NetBSD 8.0earmv7hfpkglint-20.3.0.tgz
NetBSD 8.0earmv7hfpkglint-21.1.0.tgz
NetBSD 8.0i386pkglint-20.3.0.tgz
NetBSD 8.0i386pkglint-20.4.0.tgz
NetBSD 8.0i386pkglint-21.1.0.tgz
NetBSD 8.0x86_64pkglint-21.1.0.tgz
NetBSD 8.0x86_64pkglint-20.3.0.tgz
NetBSD 9.0aarch64pkglint-20.3.0.tgz
NetBSD 9.0aarch64pkglint-20.4.0.tgz
NetBSD 9.0earmv7hfpkglint-20.3.0.tgz
NetBSD 9.0earmv7hfpkglint-20.4.0.tgz
NetBSD 9.0i386pkglint-20.3.0.tgz
NetBSD 9.0i386pkglint-20.4.0.tgz
NetBSD 9.0i386pkglint-21.1.0.tgz
NetBSD 9.0x86_64pkglint-20.3.2nb2.tgz
NetBSD 9.0x86_64pkglint-20.4.0.tgz
NetBSD 9.0x86_64pkglint-20.4.0nb1.tgz
NetBSD 9.0x86_64pkglint-21.1.0.tgz
NetBSD 9.0x86_64pkglint-20.3.0.tgz
NetBSD 9.0x86_64pkglint-20.4.0.tgz
NetBSD 9.0x86_64pkglint-21.1.0.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.